## ros-kinetic-mapviz-plugins 1.4.1

=== debian/changelog ===
ros-kinetic-mapviz-plugins (1.4.1-1xenial) xenial; urgency=high

  * Constrain the minimum line and point marker sizes to be 1 pixel wide. (#704 <https://github.com/swri-robotics/mapviz/issues/704>)
  * Fix compile warning in ROS Noetic (#706 <https://github.com/swri-robotics/mapviz/issues/706>)
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 22 Oct 2020 05:00:00 -0000

ros-kinetic-mapviz-plugins (1.4.0-1xenial) xenial; urgency=high

  * Support ROS Noetic (#696 <https://github.com/swri-robotics/mapviz/issues/696>)
  * Add Visualization for marti_nav_msgs::TrackedObjectArray and marti_nav_msgs::ObstacleArray (#701 <https://github.com/swri-robotics/mapviz/issues/701>)
  * Merge pull request #689 <https://github.com/swri-robotics/mapviz/issues/689> from mdgrogan/update-distance-on-move-point
  * Use higher precision in the coordinate picker for wgs84 (#692 <https://github.com/swri-robotics/mapviz/issues/692>)
  * Clear the namespace list after hitting the clear button. (#691 <https://github.com/swri-robotics/mapviz/issues/691>)
  * Update the displayed distance continuously while moving a point.
  * Contributors: Matt Grogan, Matthew, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 28 Jul 2020 05:00:00 -0000

ros-kinetic-mapviz-plugins (1.3.0-1xenial) xenial; urgency=high

  * Fix plan route visibility (#680 <https://github.com/swri-robotics/mapviz/issues/680>)
  * Disable coordinate picker and measuring plugin when hidden (#678 <https://github.com/swri-robotics/mapviz/issues/678>)
  * Increase odom queue size so messages dont drop (#676 <https://github.com/swri-robotics/mapviz/issues/676>)
  * Add float plugin (#665 <https://github.com/swri-robotics/mapviz/issues/665>)
  * Make string plugin also support string stamped (#666 <https://github.com/swri-robotics/mapviz/issues/666>)
  * Don't draw arrow for invalid orientation (#673 <https://github.com/swri-robotics/mapviz/issues/673>)
  * Remove OpenGL warning (#667 <https://github.com/swri-robotics/mapviz/issues/667>)
  * Change for loop to while loop in marker plugin so that iterators aren't getting double incremented on erases. (#663 <https://github.com/swri-robotics/mapviz/issues/663>)
  * Add ability to show all covariances (#659 <https://github.com/swri-robotics/mapviz/issues/659>)
  * Add ability to use relative paths for images in the robot image plugin (#658 <https://github.com/swri-robotics/mapviz/issues/658>)
  * Resolves segfault issue on ClearHistory() function call (#651 <https://github.com/swri-robotics/mapviz/issues/651>)
  * Default show background and measuring text to true (#657 <https://github.com/swri-robotics/mapviz/issues/657>)
  * Contributors: Daniel D'Souza, Matthew, Matthew Grogan, jgassaway, jreyes512, knickels

 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-kinetic-mapviz-plugins (1.2.0-1xenial) xenial; urgency=high

  * Add text to measuring plugin (#640 <https://github.com/swri-robotics/mapviz/issues/640>)
  * Add mapviz plug-in for PoseStamped messages. (#641 <https://github.com/swri-robotics/mapviz/issues/641>)
  * Fix occupancy grid to load color scheme from configuration. (#642 <https://github.com/swri-robotics/mapviz/issues/642>)
  * Restore GL_UNPACK_ALIGNMENT to 4 to prevent corruption of Qt font rendering. (#643 <https://github.com/swri-robotics/mapviz/issues/643>)
  * Add ability to show and hide markers by namespace (#636 <https://github.com/swri-robotics/mapviz/issues/636>)
  * Fixed layout of MeasuringPlugin (#633 <https://github.com/swri-robotics/mapviz/issues/633>)
  * Fixed marker plugin to use swri_transform_util to ensure wgs84 markers work properly (#635 <https://github.com/swri-robotics/mapviz/issues/635>)
  * Contributors: Arkady Shapkin, Marc Alban, Matthew, Matthew Grogan, agyoungs

 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-kinetic-mapviz-plugins (1.1.1-1xenial) xenial; urgency=high

  * Textured Marker Adjustments (#611 <https://github.com/swri-robotics/mapviz/issues/611>, #616 <https://github.com/swri-robotics/mapviz/issues/616>) (#625 <https://github.com/swri-robotics/mapviz/issues/625>)
  * fixed issue #623 <https://github.com/swri-robotics/mapviz/issues/623> by updating UI field to read "Draw Style:" (#624 <https://github.com/swri-robotics/mapviz/issues/624>)
  * Contributors: mattrich37

 -- Marc Alban <malban@swri.org>  Fri, 17 May 2019 05:00:00 -0000

ros-kinetic-mapviz-plugins (1.1.0-1xenial) xenial; urgency=high

  * Improve MarkerPlugin (#603 <https://github.com/swri-robotics/mapviz/issues/603>)
    * Improved performance of MarkerPlugin::handleMarker()
    * Support Text marker alpha channel
    * Don't use QColor for glColor4f
    * Use marker namespace and id as markers map key
  * [mapviz_plugins/attitude_indicator] Minor refactoring and redundant logging removed (#617 <https://github.com/swri-robotics/mapviz/issues/617>)
  * 606 sequential measuring (#607 <https://github.com/swri-robotics/mapviz/issues/607>)
    * Moved distance calculation to trigger on release of mouse. Added case to prevent distance calculation while moving map.
    * Added vertices and lines between measurement points. Left click to add point. Right click to delete. Added color selection for points and clear button to ui.
    * Added cumulative distance measurements from multiple points
    * Fixed individual and cumulative distance measurements. Changed it to only measure distance between points and not from fixed origin and first point
    * Moved distance calculation into separate function which is called when deleting a point, adding a point, or rearranging points.
  * Add image size check to textured marker plugin to prevent crashes. (#613 <https://github.com/swri-robotics/mapviz/issues/613>)
    * Add image size check to textured marker plugin to prevent crashes.
  * Fixed typo in string (#608 <https://github.com/swri-robotics/mapviz/issues/608>)

