=== debian/control ===
Source: ros-kinetic-mapviz-plugins
Section: misc
Priority: optional
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libqt5opengl5-dev, qt5-qmake, qtbase5-dev, ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-gps-common, ros-kinetic-image-transport, ros-kinetic-map-msgs, ros-kinetic-mapviz, ros-kinetic-marti-common-msgs, ros-kinetic-marti-nav-msgs, ros-kinetic-marti-sensor-msgs, ros-kinetic-marti-visualization-msgs, ros-kinetic-move-base-msgs, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-stereo-msgs, ros-kinetic-swri-image-util, ros-kinetic-swri-math-util, ros-kinetic-swri-route-util, ros-kinetic-swri-transform-util, ros-kinetic-swri-yaml-util, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: https://github.com/swri-robotics/mapviz
Standards-Version: 3.9.2

Package: ros-kinetic-mapviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5opengl5, ros-kinetic-actionlib, ros-kinetic-cv-bridge, ros-kinetic-gps-common, ros-kinetic-image-transport, ros-kinetic-map-msgs, ros-kinetic-mapviz, ros-kinetic-marti-common-msgs, ros-kinetic-marti-nav-msgs, ros-kinetic-marti-sensor-msgs, ros-kinetic-marti-visualization-msgs, ros-kinetic-move-base-msgs, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-stereo-msgs, ros-kinetic-swri-image-util, ros-kinetic-swri-math-util, ros-kinetic-swri-route-util, ros-kinetic-swri-transform-util, ros-kinetic-swri-yaml-util, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: Common plugins for the Mapviz visualization tool
